aboutsummaryrefslogtreecommitdiff
path: root/mail
diff options
context:
space:
mode:
authorDoug Barton <dougb@FreeBSD.org>2003-01-22 15:28:13 +0000
committerDoug Barton <dougb@FreeBSD.org>2003-01-22 15:28:13 +0000
commit8fe9d932d48ed3f897aacf860061109a0e0447ae (patch)
tree193b00fb63aba75c1ffda709886cfb3019f46e21 /mail
parente16b9e318a629205acf4217fe4067873e9dcb5c3 (diff)
downloadports-8fe9d932d48ed3f897aacf860061109a0e0447ae.tar.gz
ports-8fe9d932d48ed3f897aacf860061109a0e0447ae.zip
Notes
Diffstat (limited to 'mail')
-rw-r--r--mail/pine4/files/dot.pinerc.pgp.sample16
-rw-r--r--mail/pine4/files/pgpdecode51
-rw-r--r--mail/pine4/files/pgpencrypt11
-rw-r--r--mail/pine4/files/pgpsign11
4 files changed, 0 insertions, 89 deletions
diff --git a/mail/pine4/files/dot.pinerc.pgp.sample b/mail/pine4/files/dot.pinerc.pgp.sample
deleted file mode 100644
index 512509a30448..000000000000
--- a/mail/pine4/files/dot.pinerc.pgp.sample
+++ /dev/null
@@ -1,16 +0,0 @@
-# List of features; see Pine's Setup/options menu for the current set.
-# e.g. feature-list= select-without-confirm, signature-at-bottom
-# Default condition for all of the features is no-.
-feature-list=compose-send-offers-first-filter
-
-# This variable takes a list of programs that message text is piped into
-# after MIME decoding, prior to display.
-display-filters="-----BEGIN PGP" @@PREFIX@@/bin/pgpdecode
-
-# This defines a program that message text is piped into before MIME
-# encoding, prior to sending
-sending-filters=@@PREFIX@@/bin/pgpsign,
- @@PREFIX@@/bin/pgpencrypt _RECIPIENTS_
-
-# hook, to get rid of the sucking 'quoted printable' ;-))
-# enable-8bit-esmtp-negotiation
diff --git a/mail/pine4/files/pgpdecode b/mail/pine4/files/pgpdecode
deleted file mode 100644
index 1849ed714a5f..000000000000
--- a/mail/pine4/files/pgpdecode
+++ /dev/null
@@ -1,51 +0,0 @@
-#! /bin/sh
-# ---------- pgpdecode ---------
-# 21.03.96 Roland Rosenfeld <roland@spinnaker.rhein.de>
-#
-# Sun Mar 24 12:01:21 MET 1996 Andreas Klemm <andreas@knobel.gun.de>
-# The tmp files in the original version were world readable for
-# the short time of unpacking, setting suitable umask prevents this
-#
-# Wed Sep 16 21:35:43 WST 1997 Anthony Di Pietro <anthony@dino.omen.com.au>
-# Modified to work with both PGP v2 and PGP v5.
-# Now uses mktemp to prevent symlink attack and tmp races.
-
-umask 077
-
-MYNAME=`basename $0`
-
-STDOUT=`mktemp -q /tmp/${MYNAME}.XXXXXX`
-if [ $? -ne 0 ]
-then
- echo "$0: Can't create temporary file to decode message."
- exit 1
-fi
-
-trap "rm -f $STDOUT ; exit" 0 1 2 15
-
-STDERR=`mktemp -q /tmp/${MYNAME}.XXXXXX`
-if [ $? -ne 0 ]
-then
- echo "$0: Can't create temporary file to decode message."
- exit 1
-fi
-
-trap "rm -f $STDOUT $STDERR; exit" 0 1 2 15
-
-if [ -x @@PREFIX@@/bin/pgpv ]
-then
- pgpv 2>&1 > $STDOUT |tee $STDERR > /dev/tty
-else
- pgp -f 2>&1 > $STDOUT |tee $STDERR > /dev/tty
-fi
-
-cat $STDERR | \
-grep -v '^No files specified. Using stdin.$' | \
-grep -v '^Opening file \"stdout\" type text.$' | \
-grep -v '^Opening file \"stdout\" type binary.$' | \
-grep -v '^Opening file \"/dev/null\" type text.$' | \
-grep -v '^Opening file \"/dev/null\" type binary.$' | \
-grep -v '^$'| \
-sed -e 's/^/| /'
-echo ""
-cat $STDOUT
diff --git a/mail/pine4/files/pgpencrypt b/mail/pine4/files/pgpencrypt
deleted file mode 100644
index c1d821479a0c..000000000000
--- a/mail/pine4/files/pgpencrypt
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/sh
-# ---------- pgpencrypt ---------
-# 21.03.96 Roland Rosenfeld <roland@spinnaker.rhein.de>
-# Wed 16 Sep 1998 23:46:43 WST Anthony Di Pietro <anthony@dino.omen.com.au>
-# Modified to work with both PGP v2 and PGP v5.
-if [ -x @@PREFIX@@/bin/pgpe ]
-then
- pgpe -s -a -r $*
-else
- pgp -feast $*
-fi
diff --git a/mail/pine4/files/pgpsign b/mail/pine4/files/pgpsign
deleted file mode 100644
index e938b0b6d63d..000000000000
--- a/mail/pine4/files/pgpsign
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/sh
-# ---------- pgpsign ---------
-# 21.03.96 Roland Rosenfeld <roland@spinnaker.rhein.de>
-# Wed 16 Sep 1998 23:48:51 WST Anthony Di Pietro <anthony@dino.omen.com.au>
-# Modified to work with both PGP v2 and PGP v5.
-if [ -x @@PREFIX@@/bin/pgps ]
-then
- pgps -a -t
-else
- pgp -fast
-fi